/* #region Core */

.new-single-product {
    --tooltip-max-width: 250px;

    min-height: 420px;
    box-shadow: 0 0 0px rgba(0, 0, 0, 0.2);
    position: relative;
    padding: 12px;
    margin-bottom: 18px;
    transition: all 0.3s;
    background-color: white;
    /* background: linear-gradient(34deg, rgba(164, 197, 61, 1) 0%, rgba(255, 255, 255, 1) 17%, rgba(255, 255, 255, 1) 85%); */
    /* background-size: 200% 200%; */
    border-radius: 0px;
    border: 0px solid rgba(0, 0, 0, 0.15);
}

/* .new-single-product.v2:not(.line):not(.short) {
    padding-bottom: 36px !important;
} */

.new-single-product.short {
    min-height: 386px !important;
}

.new-single-product:hover {
    box-shadow: 0 0 10px var(--julio-primary-alternative);
    scale: 1.075;
    z-index: 10;
    /* background-size: 100% 100%; */
}

.new-single-product h4 {
    --max-lines: 3;
    --line-height: 20px;

    max-height: calc(var(--line-height) * var(--max-lines));
    min-height: calc(var(--line-height) * var(--max-lines));
    font-size: 14px;
    text-align: left;
    line-height: var(--line-height);
    color: var(--julio-primary-alternative) !important;
    font-weight: normal;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: var(--max-lines);
    line-clamp: var(--max-lines);
    -webkit-box-orient: vertical;
    box-orient: vertical;
    -moz-box-orient: vertical;
}

.use-tooltip {
    position: relative !important;
}

@media screen and (min-width: 768px) {
    .new-single-product:not(.line) .use-tooltip::after {
        content: attr(data-tooltip);

        color: white;
        font-size: 12px;
        line-height: 16px;
        text-align: left;
        hyphens: auto;

        position: absolute;
        background: var(--julio-primary-alternative);
        padding: 6px 8px;
        border-radius: 5px;
        top: 0;
        left: 50%;
        transform: translateX(-50%);
        white-space: normal;
        opacity: 0;
        transition: opacity 0.3s ease-in-out;
        pointer-events: none;
        box-shadow: 0 0 10px grey;

        max-width: var(--tooltip-max-width);
        width: var(--tooltip-max-width);
    }

    .new-single-product:not(.line) .use-tooltip:hover::after {
        opacity: 1;
    }
}

.new-single-product.line h4 {
    max-height: unset;
    min-height: unset;
    overflow: visible;
    height: fit-content;
    display: block;
    -webkit-line-clamp: unset;
    line-clamp: unset;
    -webkit-box-orient: unset;
    box-orient: unset;
    -moz-box-orient: unset;
}

.new-single-product h4 a {
    color: var(--julio-primary-alternative);
}

.new-single-product .pro-badge-marca {
    left: 5%;
}

.new-single-product .amount {
    display: flex;
    align-items: center;
    gap: 6px;
    justify-content: space-around;
    margin: unset;
    width: 100%;
}

.new-single-product .inserir-produto {
    margin-top: 16px;
}

.new-single-product .img-responsive {
    width: 100%;
    height: 220px;
    margin: auto;
}

.new-single-product.line .img-responsive {
    width: 95%;
    height: auto;
}

.new-single-product .produto-body {
    min-height: 42px;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    /* align-items: flex-end; */
    height: 100%;
    gap: 6px;
}

.new-single-product .produto-body.short {
    min-height: 60px !important;
}

.new-single-product .produto-body strong {
    font-size: 1.6em;
    color: var(--julio-primary-alternative);
}

.new-single-product .produto-body p,
.new-single-product .produto-body .amount {
    font-size: 0.8em;
}

.new-single-product.line {
    display: flex;
    min-height: unset;
    /* background: linear-gradient(34deg, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 1) 17%, rgba(255, 255, 255, 1) 85%, rgba(91, 192, 222, 1) 100%); */
    /* background-size: 250% 250%; */
}

/* .new-single-product.line:hover {
    background-size: 105% 120%;
  } */

.new-single-product.line>* {
    width: 25%;
}

.new-single-product.short.line>* {
    width: 25.33%;
    padding: 8px;
}

.new-single-product.line .produto-body {
    min-height: unset;
    margin-top: 6px;
}

@media screen and (max-width: 767px) {
    .new-single-product h4 {
        max-height: unset;
        min-height: unset;
        overflow: visible;
        height: fit-content;
        display: block;
        -webkit-line-clamp: unset;
        line-clamp: unset;
        -webkit-box-orient: unset;
        box-orient: unset;
        -moz-box-orient: unset;
    }

    .new-single-product {
        min-height: unset !important;
    }

    .new-single-product:not(.short) {
        padding-bottom: 50px;
    }

    .new-single-product .produto-body {
        min-height: unset;
        margin-top: 12px;
    }

    .new-single-product h4 {
        max-height: unset;
        min-height: unset;
    }

    .new-single-product.short {
        min-height: unset !important;
    }

    .new-single-product .img-responsive {
        height: auto;
    }
}

/* #endregion */

/* #region Atuais Styles */
.product-info {
    color: #000000
}

.custom-tooltip+.tooltip>.tooltip-inner {
    background-color: #fcf8e3;
    color: black;
}

/* #endregion*/

/* #region Novos Styles */

/* #region Filtros */
#filters {
    margin: 24px 0;
}

#filters #filters-layout-mode {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

#filters #filters-layout-mode label {
    margin-right: 8px;
    color: var(--julio-primary-dark);
}

#filters #filters-layout-mode button {
    --full-size-grid: 106px;
    --full-size-list: 92px;
    --square-size: 42px;
    --icon-size: 30px;
    width: var(--square-size);
    height: var(--square-size);
    max-width: 40vw;
    background-color: var(--julio-primary-alternative);
    transition: all 0.3s ease-in-out;
    display: inline-flex;
    align-items: center;
    justify-content: space-around;
    gap: 8px;
    border: 1px solid var(--julio-primary);
    position: relative;
    overflow: hidden;
}

#filters #filters-layout-mode button::after {
    content: attr(data-select);
    color: white;
    font-weight: bold;
    transition: all 0.3s ease-in-out;
}

#filters #filters-layout-mode button:hover {
    background-color: var(--julio-primary-dark);
}

#filters #filters-layout-mode button[data-select="Grade"]:hover,
#filters #filters-layout-mode button[data-select="Lista"]:hover {
    width: var(--full-size-grid);
}

#filters #filters-layout-mode button i {
    color: white;
    font-size: var(--icon-size);
}

@media screen and (max-width: 767px) {
    #filters #filters-layout-mode button {
        height: 50px;
        justify-content: center;
    }

    #filters #filters-layout-mode button[data-select="Grade"],
    #filters #filters-layout-mode button[data-select="Lista"] {
        width: 106px;
    }
}


/* #endregion*/

/* #region Produto */

#title-notfound {
    color: var(--julio-primary-alternative);
}

.pro-badge {
    color: #fff;
    text-transform: uppercase;
    position: absolute;
    top: 0;
    right: 0;
    line-height: 20px;
    padding: 6px;
    z-index: 2;
    text-align: center;
}

.pro-badge.lancamento {
    left: 0;
    right: unset;
    background-color: orange;
}

.pro-badge.marca {
    left: 0px;
    right: unset;
    padding: 0;
}

.new-single-product.short .pro-badge.marca {
    left: 0px;
    right: unset;
    padding: 0;
}

.pro-badge.esgotado,
.pro-badge.antecipado {
    left: 0;
    top: unset;
    bottom: 0;
}

.new-single-product.line .pro-badge.antecipado,
.new-single-product.line .pro-badge.esgotado {
    top: 18px;
    right: 6px;
    left: unset;
    bottom: unset;
    border-radius: 5px;
    max-width: calc(25% - 12px);
}

.new-single-product.line .pro-badge.esgotado {
    top: 0;
    right: 0;
}

.pro-badge.esgotado {
    background-color: grey;
    box-shadow: 0 0 10px white inset;
}

.pro-badge.antecipado {
    background-color: var(--julio-primary-alternative);
    transition: all 0.3s ease-in-out;
    box-shadow: 0 0 10px var(--julio-primary) inset;
}

.pro-badge.antecipado:hover {
    background-color: var(--julio-primary);
    color: white;
}

.pro-badge.outlet {
    color: orange;
    background-color: black;
}

.new-single-product {
    min-height: 485px;
    overflow: hidden;
}

.new-single-product form.inserir-produto>div {
    padding: 0
}

.new-single-product form.inserir-produto button {
    border-radius: 0 4px 4px 0;
    width: 100%;
    height: 100%;
}

.new-single-product .inserir-produto {
    margin-top: 0;
}

.new-single-product .auth-btn {
    font-size: 12px;
    white-space: pre-wrap;
    display: flex;
    align-items: center;
    justify-content: center;
    height: fit-content;
}

.new-single-product.v2 .produto-body {
    min-height: 108px;
    justify-content: space-between;
    text-align: center;
}

.new-single-product.v2 .produto-body:has(.chegada-prevista) {
    justify-content: space-around;
}

.new-single-product.v2 .product-form {
    --prefix-max: 50px;
    --button-max: 50px;
    --input-max: 100px;

    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: center;
    height: 32px;
}

.new-single-product.v2 .product-form .product-prefix {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 8px;
    background-color: var(--julio-primary-alternative);
    color: white;
    font-size: 14px;
    line-height: 14px;
}

.new-single-product.v2 .product-form .product-input {
    flex: 1;
    height: fill;
    display: flex;
    align-items: flex-end;
    border-top: 1px solid var(--julio-primary-alternative);
    border-bottom: 1px solid var(--julio-primary-alternative);
}

.new-single-product.v2 .product-form .product-input input {
    height: 100% !important;
    border: none;
    padding: 6px 8px;
    color: black;
    font-size: 14px;
    line-height: 14px;
}

.new-single-product.v2 .product-form .product-input input:focus {
    outline: none;
}

.new-single-product.v2 .product-form .submit-btn button {
    border-radius: 0;
    font-size: 14px;
    line-height: 14px;
}

.new-single-product .product-form .loadingMessage {
    text-align: center;
    flex: 1;
}

.new-single-product.v2.line .product-form {
    right: 6px;
    left: unset;
    max-width: calc(25% - 12px);
    top: 18px;
}

.new-single-product.v2.line .product-form .product-prefix {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}

.new-single-product.v2.line .product-form .submit-btn button {
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}

.new-single-product.v2 .precos .sem-cupom,
.new-single-product.v2 .precos .com-cupom {
    text-align: center;
    padding: 8px 6px;
    border-radius: 1px;
    margin-bottom: 2px;
    letter-spacing: 0;
}

.new-single-product.v2 .precos .sem-cupom *,
.new-single-product.v2 .precos .com-cupom * {
    font-size: 10px;
}

.new-single-product.v2 .precos .sem-cupom {
    background: #f8f9fa;
}

.new-single-product.v2 .precos .com-cupom {
    background: var(--julio-secondary-lighter);
}

.new-single-product.v2 .precos .sem-cupom strong {
    color: #858585;
}

.new-single-product.v2 .precos .com-cupom * {
    color: var(--julio-primary-med);
}

.new-single-product.v2 .precos .com-cupom strong,
.new-single-product.v2 .precos .sem-cupom strong {
    font-size: 2rem;
}

.new-single-product.v2.with-label {
    padding-bottom: 0;
}

.product-col.hotsite:not(:has(.line)) {
    height: 500px;
}

@media screen and (max-width: 767px) {
    .new-single-product.v2:not(.short) {
        padding-bottom: 38px !important;
    }

    .new-single-product.v2 .product-form {
        bottom: 6px;
    }

    .new-single-product.v2 .product-form .product-prefix {
        max-width: var(--prefix-max);
        border-top-left-radius: 5px;
        border-bottom-left-radius: 5px;
    }

    .new-single-product.v2 .product-form .product-input {
        max-width: var(--input-max);
    }

    .new-single-product.v2 .product-form .submit-btn button {
        max-width: var(--button-max);
        border-top-right-radius: 5px;
        border-bottom-right-radius: 5px;
    }

    .product-grid,
    .products-container {
        margin-top: 24px;
    }

    .new-single-product:not(.short).with-label {
        padding-bottom: 36px;
    }

    .new-single-product:not(.v2):not(.short):not(.with-label) {
        padding-bottom: 0 !important;
    }

    .new-single-product .precos {
        margin-bottom: 12px !important;
    }

    .new-single-product.v2 .precos .sem-cupom *,
    .new-single-product.v2 .precos .com-cupom * {
        font-size: 14px;
    }

    .product-col.hotsite:not(:has(.new-single-product.line)) {
        height: unset;
    }
}

/* #endregion*/

/* #region Veja também */

.veja-title {
    color: var(--julio-primary-dark);
    font-size: 24px;
    margin-bottom: 36px;
}

/* #endregion */

/* #endregion */